{{!-- ember g component atom-name --}}

<div class="dashboard">
  <div class="dashboard__content">
    <h1 class="dashboard__h1">
      List of atoms, components and compositons.
    </h1>

    <h2 class="dashborad__h2">
      List of atoms
    </h2>

    <h3 class="dashboard__title">
      atoms/button
    </h3>
    <section class="dashboard__section">
      <button class="button">
        Hola
      </button>

      <hr>

      <button class="button-gray">
        Hola
      </button>

      <hr>

      <button class="button-with-icon button-with-icon--ofrece">
        <div class="button-with-icon__icon">
          {{svg-jar "offer"}}
        </div>
        <div class="button-with-icon__text">
          Ofrezco
        </div>
      </button>

      <hr>

      <button class="button-with-icon button-with-icon--intercambia">
        <div class="button-with-icon__icon">
          {{svg-jar "change"}}
        </div>
        <div class="button-with-icon__text">
          Intercambio
        </div>
      </button>

      <hr>

      <button class="button-with-icon button-with-icon--busca">
        <div class="button-with-icon__icon">
          {{svg-jar "need"}}
        </div>
        <div class="button-with-icon__text">
          Necesito
        </div>
      </button>

      <hr>

      <button class="button-sample">
        Hola
      </button>

      <hr>

      <button class="button-circle">
        <div class="button-circle__content">
          <div class="button-circle__number">
            4
          </div>
          <div class="button-circle__icon">
            {{svg-jar "chat_black"}}
          </div>
        </div>
      </button>

      <hr>

      <button class="button-circle">
        <div class="button-circle__content">
          <div class="button-circle__icon">
            {{svg-jar "chat_black"}}
          </div>
        </div>
      </button>
    </section>

    <h3 class="dashboard__title">
      atoms/input
    </h3>
    <section class="dashboard__section">
      <div class="input">
        <input type="text" class="input__input" placeholder="Placeholder">
      </div>

      <hr>

      <div class="input">
        <label class="label">
          Text label
        </label>
        <input type="text" class="input__input" placeholder="Placeholder">
      </div>
    </section>

    <h3 class="dashboard__title">
      atoms/textarea
    </h3>
    <section class="dashboard__section">
      <div class="textarea">
        {{atom-label}}
        <textarea rows="4" cols="50" class="textarea__textarea" placeholder="Describe yourself here..."></textarea>
      </div>
    </section>

    <h3 class="dashboard__title">
      atoms/select
    </h3>
    <section class="dashboard__section">
      <div class="select">
        <select class="select__select">
          <option value="volvo" class="select">Volvo</option>
          <option value="volvo" class="select__option">Option1</option>
          <option value="volvo" class="select__option">Option2</option>
          <option value="volvo" class="select__option">Option3</option>
          <option value="volvo" class="select__option">Option4</option>
          <option value="volvo" class="select__option">Option5</option>
          <option value="volvo" class="select__option">Option6</option>
        </select>
      </div>

      <hr>

      <div class="select">
        {{atom-label}}
        <select class="select__select">
          <option value="volvo" class="select">Volvo</option>
          <option value="volvo" class="select__option">Option1</option>
          <option value="volvo" class="select__option">Option2</option>
          <option value="volvo" class="select__option">Option3</option>
          <option value="volvo" class="select__option">Option4</option>
          <option value="volvo" class="select__option">Option5</option>
          <option value="volvo" class="select__option">Option6</option>
        </select>
      </div>
    </section>

    <h3 class="dashboard__title">
      atoms/checkbox
    </h3>
    <section class="dashboard__section">
      <div class="checkbox">
        <label class="checkbox__label">
          <input type="checkbox" class="checkbox__checkbox" id="input-tos">
          <div class="checkbox__content">
            <div class="checkbox__icon">
              {{svg-jar "since_to"}}
            </div>
            <div class="checkbox__text">
              Ahora
            </div>
          </div>
        </label>
      </div>

      <hr>

      <div class="checkbox">
        <label class="checkbox__label">
          <input type="checkbox" class="checkbox__checkbox" id="input-tos">
          <div class="checkbox__content">
            <div class="checkbox__icon">
              {{svg-jar "period"}}
            </div>
            <div class="checkbox__text">
              Fecha/hora concreta
            </div>
          </div>
        </label>
      </div>

      <hr>

      <div class="checkbox">
        <label class="checkbox__label">
          <input type="checkbox" class="checkbox__checkbox" id="input-tos">
          <div class="checkbox__content">
            <div class="checkbox__icon">
              {{svg-jar "my_place"}}
            </div>
            <div class="checkbox__text">
              Cerca de mi
            </div>
          </div>
        </label>
      </div>
    </section>

    <h3 class="dashboard__title">
      atoms/text-style
    </h3>
    <section class="dashboard__section dashboard__section--yellow">
      <h1 class="title__h1">
        Reference site about Lorem Ipsum,  h1
      </h1>

      <hr>

      <h1 class="title__h2">
        Reference site about Lorem Ipsum,  h2
      </h1>

      <hr>

      <h1 class="title__h3">
        Reference site about Lorem Ipsum,  h3
      </h1>

      <hr>

      <p class="paragraph">
        Lorem ipsum es el texto que se usa habitualmente en <a href="">diseño gráfico en demostraciones</a> de tipografías o de borradores de diseño para probar el diseño visual..
      </p>
    </section>

    <h3 class="dashboard__title">
      atoms/hashtag
    </h3>
    <section class="dashboard__section">
      <a href="" class="hashtag">example</a>
    </section>

    <h3 class="dashboard__title">
      atoms/avatar
    </h3>
    <section class="dashboard__section">
      <picture class="picture">
        <img src="https://dummyimage.com/80/#ccc/fff" alt="Avatar" class="avatar picture__img">
      </picture>
    </section>

    <h2 class="dashboard__h2">
      List of components
    </h2>

    <h3 class="dashboard__title">
      component/buttons
    </h3>
    <section class="dashboard__section dashboard__section--yellow">
      {{component-buttons}}
    </section>

    <h3 class="dashboard__title">
      component/header
    </h3>
    <section class="dashboard__section">
      <header class="header">
        <div class="header__nav">
          <a href="" class="header__icon">
            {{svg-jar "menu"}}
          </a>
        </div>
        <div class="header__center">
          <h1 class="header__title">
            Title of page
          </h1>
        </div>
        <div class="header__nav">
          <a href="" class="header__icon">
            {{lense}}
          </a>
        </div>
      </header>

      <hr>

      <header class="header header--black">
        <div class="header__nav">
          <a href="" class="header__icon">
            {{svg-jar "back"}}
          </a>
        </div>
        <div class="header__center">
          {{svg-jar "svg-logo"}}
        </div>
        <div class="header__nav">
          <a href="" class="header__icon">
            {{svg-jar "lense"}}
          </a>
        </div>
      </header>

      <hr>

      <header class="header header--white">
        <div class="header__nav">
          <a href="" class="header__icon">
          </a>
        </div>
        <div class="header__center">
          <h1 class="header__title">
            Title of page
          </h1>
        </div>
        <div class="header__nav">
          <a href="" class="header__icon">
            {{svg-jar "cross"}}
          </a>
        </div>
      </header>
    </section>

    <h3 class="dashboard__title">
      component/card-button
    </h3>
    <section class="dashboard__section">
      {{component-card-button}}
    </section>

    <h3 class="dashboard__title">
      component/card-notification
    </h3>
    <section class="dashboard__section">

      {{!-- List of Modifiers:
      + card-notification
      + card-notification--busca
      + card-notification--ofrece
      + card-notification--intercambio --}}

      <div class="card-notification card-notification--intercambio">
        <div class="card-notification__content">
          <div class="card-notification__avatar">
            <picture class="picture">
              <img src="https://dummyimage.com/80/#ccc/fff" alt="Avatar" class="avatar picture__img">
            </picture>
            <div class="card-notification__icon">
              {{svg-jar "chat_black"}}
            </div>
          </div>
          <div class="card-notification__text">
            <div class="card-notification__header">
              <div class="card-notification__info">
                Comentario en #Amigos, #Tarde
              </div>
              <div class="card-notification__date">
                hace 2 días
              </div>
            </div>
            <h2 class="card-notification__title">
              Jorge
            </h2>
            <div class="card-notification__paragraph">
              Lorem ipsum es el texto que se usa en diseño gráfico en demostraciones...
            </div>
          </div>
        </div>
      </div>

      <hr>

      <div class="card-notification card-notification--ofrece">
        <div class="card-notification__content">
          <div class="card-notification__avatar">
            <picture class="picture">
              <img src="https://dummyimage.com/80/#ccc/fff" alt="Avatar" class="avatar picture__img">
            </picture>
            <div class="card-notification__icon">
              {{svg-jar "chat_black"}}
            </div>
          </div>
          <div class="card-notification__text">
            <div class="card-notification__header">
              <div class="card-notification__info">
                Comentario en #Amigos, #Tarde
              </div>
              <div class="card-notification__date">
                hace 2 días
              </div>
            </div>
            <h2 class="card-notification__title">
              Jorge
            </h2>
            <div class="card-notification__paragraph">
              Lorem ipsum es el texto que se usa en diseño gráfico en demostraciones Lorem ipsum es el texto que se usa en diseño gráfico en demostraciones...
            </div>
          </div>
        </div>
      </div>

      <hr>

      <div class="card-notification card-notification--busca">
        <div class="card-notification__content">
          <div class="card-notification__avatar">
            <picture class="picture">
              <img src="https://dummyimage.com/80/#ccc/fff" alt="Avatar" class="avatar picture__img">
            </picture>
            <div class="card-notification__icon">
              {{svg-jar "chat_black"}}
            </div>
          </div>
          <div class="card-notification__text">
            <div class="card-notification__header">
              <div class="card-notification__info">
                Comentario en #Amigos, #Tarde
              </div>
              <div class="card-notification__date">
                hace 2 días
              </div>
            </div>
            <h2 class="card-notification__title">
              Jorge
            </h2>
            <div class="card-notification__paragraph">
              Lorem ipsum es el texto..
            </div>
          </div>
        </div>
      </div>


      <hr>

      <div class="card-notification">
        <div class="card-notification__content">
          <div class="card-notification__avatar">
            <picture class="picture">
              <img src="https://dummyimage.com/80/#ccc/fff" alt="Avatar" class="avatar picture__img">
            </picture>
          </div>
          <div class="card-notification__text">
            <div class="card-notification__header">
              <div class="card-notification__date card-notification__date--nflex">
                hace 2 días
              </div>
            </div>
            <h2 class="card-notification__title">
              Jorge
            </h2>
            <div class="card-notification__paragraph">
              Lorem ipsum es el texto..
            </div>
            <a class="card-notification__close">
              {{svg-jar "cross"}}
            </a>
          </div>
        </div>
      </div>
    </section>


    <h3 class="dashboard__title">
      component/comments-message
    </h3>
    <section class="dashboard__section">

      {{!--
        Modifier:
        + comments-message--me
        + comments-message--you --}}

      <div class="comments-message__day">
        14 jul 2018
      </div>

      <hr>

      <div class="comments-message comments-message--me">
        <div class="comments-message__content">
          Reference site about Lorem Ipsum, giving information on its origins, as well as ...
        </div>
        <div class="comments-message__hour">
          00:00pm
        </div>
      </div>

      <hr>

      <div class="comments-message comments-message--you">
        <div class="comments-message__content">
          Hello world!
        </div>
        <div class="comments-message__hour">
          00:00pm
        </div>
      </div>
    </section>


    <h3 class="dashboard__title">
      component/comments-bar
    </h3>
    <section class="dashboard__section">
      <div class="comments-bar">
        <div class="comments-bar__button">
          Link
        </div>
        <div class="comments-bar__input input">
          <input type="text" class="input__input" placeholder="Placeholder">
        </div>
        <div class="comments-bar__button">
          Link
        </div>
      </div>
    </section>

  </div>
</div>
